Bug 113800 - printf problems
Summary: printf problems
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: file   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-18 11:53 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-19 01:05:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-18 11:53:04 UTC
Description of problem:

I just tried to compile package file-4.02-2, from Redhat
Fedora Core 1.

The compiler said

1.

fsmagic.c(200): warning #267: the format string requires additional
arguments

The source code is

                                if (file_printf(ms,
                                    "unreadable symlink `%s' (%s)",
                                    strerror(errno)) == -1)
                                        return -1;

This looks to me like there is a mismatch between the two %s and only
one following parameter.

I'm not sure what the fix is for this.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2004-01-19 01:05:03 UTC
FIxed in rpm-4.06, already in fc2.


Note You need to log in before you can comment on or make changes to this bug.